<template>
  <div
    v-waypoint="{active: isWaypointActive, callback: animateMenu}"
    class="wrapper nav-wrapper"
    ref="navbar"
    id="navbar"
  >
    <div class="container">
      <nav class="nav">
        <div class="nav__logo"/>
        <section class="nav-menu">
          <component
            :is="link.url ? 'router-link' : 'div'"
            class="nav-menu__item"
            v-for="(link, index) in navItems"
            :key="index"
            :to="link.url"
          >
            {{ link.label }}
          </component>
        </section>
        <div class="nav-mobile" ref="menu">
          <div class="nav-mobile-menu">
            <component
              :is="link.url ? 'router-link' : 'div'"
              class="nav-mobile-menu__item"
              v-for="(link, index) in navItems"
              :key="index"
              :to="link.url"
            >
              {{ link.label }}
            </component>
          </div>
          <div class="nav-mobile-social">
            <img src="@/assets/images/social/small/Telegram.svg" class="nav-mobile-social-item"/>
            <img src="@/assets/images/social/small/Medium.svg" class="nav-mobile-social-item"/>
            <img src="@/assets/images/social/small/Discord.svg" class="nav-mobile-social-item"/>
            <img src="@/assets/images/social/small/Github.svg" class="nav-mobile-social-item"/>
            <img src="@/assets/images/social/small/Twitter.svg" class="nav-mobile-social-item"/>
          </div>
        </div>
        <div class="btn btn_green-outline nav__btn">
          Start earning
        </div>
        <div class="nav__burger" ref="burger" @click="toggleMenu">
          <div></div>
          <div></div>
          <div></div>
        </div>
      </nav>
    </div>
  </div>

</template>

<script>
import isMobilePlatform from "@/utils";

export default {
  name: "GeneralNavbar",
  data() {
    return {
      navItems: [
        {label: 'home', url: {name: 'home'}},
        {label: 'asset market', url: ''},
        {label: 'rent assets', url: ''},
        {label: 'gameplay', url: ''},
        {label: 'play games', url: ''},
        {label: 'docs', url: ''},
      ],
      isWaypointActive: true,
    }
  },
  methods: {
    toggleMenu() {
      this.$refs.menu.classList.toggle('opened')
      this.$refs.burger.classList.toggle('opened')
    },
    animateMenu() {
      this.$anime.timeline({
        duration: 500,
        easing: 'easeOutSine'
      })
        .add({
          targets: '.nav-menu',
          translateY: [-100, 0],
          opacity: [0, 1],
        }, 0)
        .add({
          targets: '.nav__logo',
          translateX: [-150, 0],
          opacity: [0, 1],
        }, 0)
        .add({
          targets: '.nav__btn',
          translateX: [150, 0],
          opacity: [0, 1],
        }, 0)
        .add({
          targets: '.nav__burger',
          translateX: [150, 0],
          opacity: [0, 1],
        }, 0)

      this.isWaypointActive = false
    }
  }
}
</script>

<style scoped lang="sass">
@import "~@/assets/sass/components/GeneralNavbar.sass"
</style>
